> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/enterprises > Get specific enterprises by their IDs with detailed information. Query just your own enterprise Id for more detailed info. ## OpenAPI ````json GET /v1/enterprises { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/enterprises": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "enterpriseIds", "in": "query", "description": "Lists enterprises", "required": false, "schema": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 }, "example": [ 0 ] }, "style": "deepObject", "explode": true } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1EnterprisesGetResponse" } } } } }, "description": "Get specific enterprises by their IDs with detailed information. Query just your own enterprise Id for more detailed info." } } }, "components": { "schemas": { "v1EnterprisesGetResponse": { "type": "object", "properties": { "enterprises": { "type": "array", "items": { "$ref": "#/components/schemas/iamEnterprise" } } }, "additionalProperties": false }, "iamEnterprise": { "type": "object", "properties": { "acceptEula": { "type": "boolean", "example": true }, "accountType": { "type": "string", "example": "ENUM_VALUE" }, "adminEmail": { "type": "string", "example": "example string" }, "backboneApisEnabled": { "type": "boolean", "example": true }, "cloudProvider": { "type": "string", "example": "ENUM_VALUE" }, "companyName": { "type": "string", "example": "example string" }, "counts": { "$ref": "#/components/schemas/iamCounts" }, "creditLimit": { "type": "integer", "format": "int32", "example": 123 }, "customers": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/iamCustomer" } }, "description": { "type": "string", "example": "example string" }, "enterpriseId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "eulaAgreementDate": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "impersonationEnabled": { "type": "boolean", "example": true }, "logo": { "type": "string", "example": "example string" }, "marketplaceId": { "type": "string", "example": "example string" }, "parentCompanyName": { "type": "string", "example": "example string" }, "parentEnterpriseId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "portalBanner": { "type": "string", "example": "example string" }, "proxyTenantId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "smallLogo": { "type": "string", "example": "example string" }, "tokenExpiry": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "iamCounts": { "type": "object", "properties": { "activeDownCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "activeUpCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "deactivatedDownCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "downSitesCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "emptySitesCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "impairedSitesCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "stagingDownCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "stagingUpCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "totalCustomers": { "type": "integer", "format": "int64", "example": 1234567891011 }, "totalEdges": { "type": "integer", "format": "int64", "example": 1234567891011 }, "totalMsps": { "type": "integer", "format": "int64", "example": 1234567891011 }, "totalSites": { "type": "integer", "format": "int64", "example": 1234567891011 }, "upSitesCount": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "iamCustomer": { "type": "object", "properties": { "adminEmail": { "type": "string", "example": "example string" }, "companyName": { "type": "string", "example": "example string" }, "counts": { "$ref": "#/components/schemas/iamCounts" }, "description": { "type": "string", "example": "example string" }, "enterpriseId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "impersonationEnabled": { "type": "boolean", "example": true }, "marketplaceId": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````